aboutsummaryrefslogtreecommitdiff
path: root/samples/treeview4
diff options
context:
space:
mode:
Diffstat (limited to 'samples/treeview4')
-rwxr-xr-xsamples/treeview424
1 files changed, 24 insertions, 0 deletions
diff --git a/samples/treeview4 b/samples/treeview4
new file mode 100755
index 000000000000..4b1f65eef457
--- /dev/null
+++ b/samples/treeview4
@@ -0,0 +1,24 @@
+#!/bin/sh
+# $Id: treeview4,v 1.3 2020/11/26 00:05:52 tom Exp $
+
+. ./setup-vars
+
+. ./setup-tempfile
+
+$DIALOG --title "TREE VIEW DIALOG" \
+ --help-button \
+ --item-help \
+ --treeview "TreeView demo" 0 0 0 \
+ tag1 one off 0 first \
+ tag2 two off 1 second \
+ tag3 three on 2 third \
+ tag4 four off 1 fourth \
+ tag5 five off 2 fifth \
+ tag6 six off 3 sixth \
+ tag7 seven off 3 seventh \
+ tag8 eight off 4 eighth \
+ tag9 nine off 1 ninth 2> $tempfile
+
+returncode=$?
+
+. ./report-tempfile